<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useCellDimensions](./react.usecelldimensions.md)

## useCellDimensions() function

<b>Signature:</b>

```typescript
export declare function useCellDimensions(column?: IColumn, considerCompactMode?: boolean): Dimensions;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  column | IColumn | <i>(Optional)</i> |
|  considerCompactMode | boolean | <i>(Optional)</i> |

<b>Returns:</b>

Dimensions

